summaryrefslogtreecommitdiffstats
path: root/gis/gpsd/gpsd.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'gis/gpsd/gpsd.SlackBuild')
-rw-r--r--gis/gpsd/gpsd.SlackBuild17
1 files changed, 9 insertions, 8 deletions
diff --git a/gis/gpsd/gpsd.SlackBuild b/gis/gpsd/gpsd.SlackBuild
index 511d0a2986..f2befd6211 100644
--- a/gis/gpsd/gpsd.SlackBuild
+++ b/gis/gpsd/gpsd.SlackBuild
@@ -22,11 +22,15 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# 20230629 bkw: Modified by SlackBuilds.org, BUILD=2:
+# - /usr/sbin/gpsinit was missing +x permission.
+# - rm generic INSTALL from doc dir.
+
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=gpsd
VERSION=${VERSION:-3.18.1}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -38,9 +42,6 @@ if [ -z "$ARCH" ]; then
esac
fi
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -97,9 +98,9 @@ cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
- -o -perm 511 \) -exec chmod 755 {} \; -o \
+ -o -perm 511 \) -exec chmod 755 {} + -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} + || true
# g++ may throw an 'internal compiler error' in the QT bindings.
# *Nothing* actually uses this, but you can enable it by deleting
@@ -124,7 +125,7 @@ scons \
# Fix daft permission from upstream
chmod 755 $PKG/usr/bin/gpsprof
# Add a missed file
-install -m 0644 gpsinit \
+install -m 0755 gpsinit \
$PKG/usr/sbin/gpsinit
find $PKG/usr/man -type f -exec gzip -9 {} \;
@@ -157,7 +158,7 @@ install -D -m 0644 $CWD/rc.gpsd.conf.new \
$PKG/etc/rc.d/rc.gpsd.conf.new
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS COPYING INSTALL README TODO build.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING README TODO build.txt $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install